﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using UltraGrid_MultiRowLayout_CS.Models;

namespace UltraGrid_MultiRowLayout_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.GroupByBox.Hidden = true;
            this.ultraGrid1.DisplayLayout.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.True;
            this.ultraGrid1.DataSource = getData();
        }

        private List<Employee> getData()
        {
            List<Employee> employees = new List<Employee>();

            employees.Add(
                new Employee
                {
                    Id = 105,
                    Name = "森上 偉久馬",
                    Location = "東京本社",
                    Department = "第一営業",
                    PostalCode = "1900003",
                    Prefecture = "東京都",
                    Address = "立川市栄町 4-18-XX",
                    Phone = "(0425)25-05XX"
                }
            );

            employees.Add(
                new Employee
                {
                    Id = 107,
                    Name = "葛城 孝史",
                    Location = "東京本社",
                    Department = "第二営業",
                    PostalCode = "1530064",
                    Prefecture = "東京都",
                    Address = "目黒区下目黒 3-16-XX",
                    Phone = "(03)3714-75XX"
                }
            );

            employees.Add(
                new Employee
                {
                    Id = 110,
                    Name = "加藤 泰江",
                    Location = "東京本社",
                    Department = "第一営業",
                    PostalCode = "1520021",
                    Prefecture = "東京都",
                    Address = "目黒区東ケ丘 1-5-X",
                    Phone = "(03)3421-16XX"
                }
            );

            employees.Add(
                new Employee
                {
                    Id = 204,
                    Name = "川村 匡",
                    Location = "大阪支社",
                    Department = "営業開発",
                    PostalCode = "5610857",
                    Prefecture = "大阪府",
                    Address = "豊中市服部寿町 1-11-5-XXX",
                    Phone = "(06)6862-91XX"
                }
            );

            employees.Add(
                new Employee
                {
                    Id = 207,
                    Name = "松沢 誠一",
                    Location = "大阪支社",
                    Department = "営業開発",
                    PostalCode = "5690000",
                    Prefecture = "大阪府",
                    Address = "高槻市桂本 6-28-X",
                    Phone = "(0726)77-32XX"
                }
            );

            return employees;
        }
    }
}
